
QGIS Application - Bug report #9376

QGIS crash on sorting attribute columns on WFS layers.

2014-01-20 03:28 AM - Jacob Madsen

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17976

Description

Steps to reproduce:

Open attached project file in QGIS 2.0.1 32- or 64-bit. Login with

Username vejlby

Password testjylland7400

Open the attribute table for one of the WFS layers. Click on the ID column to sort it. QGIS crashes with a minidump.

Associated revisions

Revision db29ebcf - 2014-02-10 05:35 AM - Martin Dobias

Fix #9376 (crash when sorting attribute table with no attributes)

History

#1 - 2014-01-20 02:03 PM - Giovanni Manghi

- OS version deleted (7 and newer)

- Operating System deleted (Windows 32-bit)

Confirmed on Linux 64bit/master

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Loading a file that was saved with an older version of qgis (saved in 2.0.1-Dufour, loaded in 2.1.0-Master). Problems may occur.

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fbe868f1700 (LWP 4494)]

[New Thread 0x7fbe879ea700 (LWP 4493)]

0x00007fbeaf5fcccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7fbeb6b7a7c0 (LWP 4486))]

#0  0x00007fbeaf5fcccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x0000000000562030 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.
#3  0x0000000000565f83 in QBasicAtomicInt::ref() ()

No symbol table info available.

#4  0x000000000056615c in QString::QString(QString const&) ()

No symbol table info available.

#5  0x000000000056700f in QList<QString>::node_construct(QList<QString>::Node*, QString const&) ()

No symbol table info available.

#6  0x000000000056684c in QList<QString>::append(QString const&) ()

No symbol table info available.

#7  0x00000000005a5b4b in QStringList::operator<<(QString const&) ()

No symbol table info available.

#8  0x00007fbeb2c8c753 in QgsAttributeTableModel::prefetchColumnData(int) () from /usr/local/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#9  0x00007fbeb2c871ef in QgsAttributeTableFilterModel::sort(int, Qt::SortOrder) () from /usr/local/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#10 0x00007fbeb21f7281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#11 0x00007fbeb1a9b74f in QHeaderView::sortIndicatorChanged(int, Qt::SortOrder) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007fbeb1aa2888 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007fbeb1aa44b3 in QHeaderView::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007fbeb15b6144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007fbeb19763f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007fbeb1a8a8db in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007fbeb1aa0f5b in QHeaderView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007fbeb21e3028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#19 0x00007fbeb156585f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fbeb156b0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007fbeb33a9b02 in QgsApplication::notify(QObject*, QEvent*) () from /usr/local/lib/libqgis_core.so.2.1.0

No symbol table info available.

#22 0x00007fbeb21e2e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#23 0x00007fbeb1566862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007fbeb15e5c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007fbeb15e4bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007fbeb160e112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007fbeade82d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#28 0x00007fbeade83060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.

#29 0x00007fbeade83124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#30 0x00007fbeb22123bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#31 0x00007fbeb160dd9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007fbeb21e1c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#33 0x00007fbeb21e1ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#34 0x00007fbeb21e6f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#35 0x0000000000564f66 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#2 - 2014-02-09 08:36 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"db29ebcffbc8a7b16331dd49da17f25662315e07".

#3 - 2014-02-11 04:25 AM - Jacob Madsen

Still reproduces in nightly from today, sorry. Build f06e72e

#4 - 2014-02-11 09:26 AM - Werner Macho

f06e72e is from Feb, 8th where db29ebc is from Feb, 10th .. so I guess it is fixed ..

Files

vejlby_qgisbugtest.qgs 10.9 KB 2014-01-20 Jacob Madsen

2025-06-08 3/3


